path: /build/build/cbindgen-dev-util-0.26.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} dev-util/cbindgen -pv -t && \
    emerge -j ${JOBS} --nodeps dev-util/cbindgen
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/cbindgen && luet-portage --dir /pkgdir/cbindgen
    dev-util/cbindgen && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:861e13733ac9f3b41d3f0d465a372caf550393d003fb7bd4bdec58fe6133e452
  package:
    name: cbindgen
    version: 0.26.0
    category: dev-util
    requires:
    - name: macaroni-funtoo-race17
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A tool for generating C bindings to Rust code
    uri:
    - https://github.com/mozilla/cbindgen
    license: Apache-2.0 Boost-1.0 BSD BSD-2 CC0-1.0 ISC LGPL-3+ MIT MPL-2.0 Apache-2.0
      Unlicense ZLIB
    buildtimestamp: 2024-09-17 18:55:39.464866304 +0000 UTC m=+244.502684114
    labels:
      BDEPEND: '>=virtual/rust-1.37.0'
      IUSE: debug
      emerge.packages: dev-util/cbindgen
      kit: dev-kit
      original.package.name: dev-util/cbindgen
      original.package.slot: "0"
      original.package.version: 0.26.0
    treedir: /build/packages
  package_dir: /pkgdir/cbindgen
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 5a7c512665991da7a702cb95b3d84622816d4355197126711cf1e03cfde22fd9
compressiontype: zstd
files:
- usr/bin/cbindgen
- usr/share/doc/cbindgen-0.26.0/CHANGES.bz2
- usr/share/doc/cbindgen-0.26.0/README.md.bz2
- var/db/pkg/dev-util/cbindgen-0.26.0/BDEPEND
- var/db/pkg/dev-util/cbindgen-0.26.0/BUILD_TIME
- var/db/pkg/dev-util/cbindgen-0.26.0/CATEGORY
- var/db/pkg/dev-util/cbindgen-0.26.0/CBUILD
- var/db/pkg/dev-util/cbindgen-0.26.0/CC
- var/db/pkg/dev-util/cbindgen-0.26.0/CFLAGS
- var/db/pkg/dev-util/cbindgen-0.26.0/CHOST
- var/db/pkg/dev-util/cbindgen-0.26.0/CONTENTS
- var/db/pkg/dev-util/cbindgen-0.26.0/COUNTER
- var/db/pkg/dev-util/cbindgen-0.26.0/CTARGET
- var/db/pkg/dev-util/cbindgen-0.26.0/CXX
- var/db/pkg/dev-util/cbindgen-0.26.0/CXXFLAGS
- var/db/pkg/dev-util/cbindgen-0.26.0/DEFINED_PHASES
- var/db/pkg/dev-util/cbindgen-0.26.0/DESCRIPTION
- var/db/pkg/dev-util/cbindgen-0.26.0/EAPI
- var/db/pkg/dev-util/cbindgen-0.26.0/FEATURES
- var/db/pkg/dev-util/cbindgen-0.26.0/HOMEPAGE
- var/db/pkg/dev-util/cbindgen-0.26.0/INHERITED
- var/db/pkg/dev-util/cbindgen-0.26.0/IUSE
- var/db/pkg/dev-util/cbindgen-0.26.0/IUSE_EFFECTIVE
- var/db/pkg/dev-util/cbindgen-0.26.0/KEYWORDS
- var/db/pkg/dev-util/cbindgen-0.26.0/LDFLAGS
- var/db/pkg/dev-util/cbindgen-0.26.0/LICENSE
- var/db/pkg/dev-util/cbindgen-0.26.0/NEEDED
- var/db/pkg/dev-util/cbindgen-0.26.0/NEEDED.ELF.2
- var/db/pkg/dev-util/cbindgen-0.26.0/PF
- var/db/pkg/dev-util/cbindgen-0.26.0/REQUIRES
- var/db/pkg/dev-util/cbindgen-0.26.0/SIZE
- var/db/pkg/dev-util/cbindgen-0.26.0/SLOT
- var/db/pkg/dev-util/cbindgen-0.26.0/USE
- var/db/pkg/dev-util/cbindgen-0.26.0/cbindgen-0.26.0.ebuild
- var/db/pkg/dev-util/cbindgen-0.26.0/environment.bz2
- var/db/pkg/dev-util/cbindgen-0.26.0/repository
package_cacheimage: ""
runtime:
  name: cbindgen
  version: 0.26.0
  category: dev-util
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A tool for generating C bindings to Rust code
  uri:
  - https://github.com/mozilla/cbindgen
  license: Apache-2.0 Boost-1.0 BSD BSD-2 CC0-1.0 ISC LGPL-3+ MIT MPL-2.0 Apache-2.0
    Unlicense ZLIB
  labels:
    BDEPEND: '>=virtual/rust-1.37.0'
    IUSE: debug
    emerge.packages: dev-util/cbindgen
    kit: dev-kit
    original.package.name: dev-util/cbindgen
    original.package.slot: "0"
    original.package.version: 0.26.0
